Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class CBACChainReducer

    java.lang.Object
      |
      +--spki.CBACChainReducer

public final class CBACChainReducer
extends Object

spki CBACChainReducer class.

Version:
  $Id: CBACChainReducer.java,v 1.9 2002/08/07 07:20:52 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.

Constructor Summary
`private` | `CBACChainReducer()` Can't instantiate me.

Method Summary
`static Capability5Tuple` | `bottomUpPass(Capability5Tuple[] input)` The Round-trip Reduction algorithm's bottom-up round.
`static Tuple[]` | `certs2Tuples(Sequence seq)` Map a given sequence of certificates into a list of tuples.
`static Capability5Tuple[]` | `reduceName(Tuple[] input)` Where applicable, reduce named-subject(s) to principal(s) using the Name Reduction Rules.
`static Capability5Tuple` | `roundTripReduce(Capability5Tuple[] input)` An implementation of the Round-trip Reduction algorithm.
`static Capability5Tuple[]` | `topDownPass(Capability5Tuple[] input)` The Round-trip Reduction algorithm's top-down round.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

Constructor Detail

### CBACChainReducer

    private CBACChainReducer()

  Can't instantiate me. Thsi is a tool class, we don't want to create an instance!

Method Detail

### certs2Tuples

    public static final Tuple[] certs2Tuples(Sequence seq)
                                      throws SPKIException

  Map a given sequence of certificates into a list of tuples.

### reduceName

    public static final Capability5Tuple[] reduceName(Tuple[] input)
                                               throws SPKIException,
                                                      ReductionException

  Where applicable, reduce named-subject(s) to principal(s) using the Name Reduction Rules.
  See Also:
    `Capability5Tuple.reduce(Name4Tuple)`

### roundTripReduce

    public static final Capability5Tuple roundTripReduce(Capability5Tuple[] input)
                                                  throws SPKIException,
                                                         ReductionException

  An implementation of the Round-trip Reduction algorithm.
  See Also:
    `topDownPass(Capability5Tuple[])`, `bottomUpPass(Capability5Tuple[])`

### topDownPass

    public static final Capability5Tuple[] topDownPass(Capability5Tuple[] input)
                                                throws SPKIException,
                                                       ReductionException

  The Round-trip Reduction algorithm's top-down round.
  See Also:
    `Capability5Tuple.reduce(Capability5Tuple)`

### bottomUpPass

    public static final Capability5Tuple bottomUpPass(Capability5Tuple[] input)
                                               throws SPKIException,
                                                      ReductionException

  The Round-trip Reduction algorithm's bottom-up round. TODO: deal with authorization chains that branch out threshold subjects on both side of the tree.
  See Also:
    `Capability5Tuple.tReduce(Capability5Tuple)`, `Tuple.tEliminate(Subject)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD